petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSortRealWithArrayInt

Sorts an array of PetscReal in place in increasing order; changes a second PetscInt array to match the sorted first array.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortRealWithArrayInt(PetscInt n,PetscReal r[],PetscInt Ii[])

Not Collective

### Input Parameters

| n | - number of values
| i | - array of integers
| I | - second array of integers

### See Also

PetscSortReal()

### Level

intermediate

### Location

src/sys/utils/sortd.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages